#pragma once
#include <map>
struct M_ActivityKingCraftRechargeData
{
	//ID
	int mID;
	//描述
	std::string mDesc;
	//充值金额
	int mCondition;
	//道具ID
	std::vector<int> mItemID;
	//道具数量
	std::vector<int> mItemCount;
};

class M_ActivityKingCraftRecharge
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftRecharge> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftRechargeData* GetData(int ID);
	const std::map<int, M_ActivityKingCraftRechargeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityKingCraftRecharge* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityKingCraftRechargeData> mMapData;
};
